%define __libtoolize /bin/true
%define __cputoolize /bin/true

Summary: 	Timer plugin for the Xfce panel
Name: 		xfce-timer-plugin
Version: 	0.3
Release: 	%mkrel 3
License:	BSD
URL: 		http://www.math.washington.edu/~kieroglu/
Source0: 	xfce4-timer-%{version}.tar.bz2
Patch1:		xfce4-timer-name.patch
Group: 		Graphical desktop/Xfce
BuildRoot: 	%{_tmppath}/%{name}-root
Requires:	xfce-panel >= 4.3.0
BuildRequires:	xfce-panel-devel >= 4.3.0
BuildRequires:  perl-XML-Parser

%description
Timer panel plugin for the Xfce Desktop Environment.


%prep
%setup -q -n xfce4-timer-%{version}
%patch1 -p1 -b .name

%build
#./autogen.sh # cvs release
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

#rm $RPM_BUILD_ROOT%{_libdir}/xfce4/panel-plugins/*.a
rm -rf ${RPM_BUILD_ROOT}%{_prefix}/doc

%find_lang xfce4-timer

%clean
rm -rf $RPM_BUILD_ROOT

%files -f xfce4-timer.lang
%defattr(-,root,root)
%doc ChangeLog COPYING AUTHORS TODO
%{_libdir}/xfce4/panel-plugins/*
%{_datadir}/xfce4/panel-plugins/*.desktop



%changelog
* Fri Dec 29 2006 Jérôme Soyer <saispo@mandriva.org> 0.3-3mdv2007.1
+ Revision: 102558
- Add BuildRequires
- Rebuild for latest xfce

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - import xfce-timer-plugin-0.3-2mdv2007.0


* Wed Jul 12 2006 Charles A Edwards <eslrahc@mandriva.org> 0.3-2mdv2007.0
- rebuild for xfce-4.3.90.2
- mkrel

* Sat Feb 11 2006 Marcel Pol <mpol@mandriva.org> 0.3-1mdk
- initial mandriva package

